[PATCH] Add fixdefconfig script to update lists of defconfig files from savedefconfig

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

[PATCH] Add fixdefconfig script to update lists of defconfig files from savedefconfig

Joel Peshkin
Cc: Simon Glass <[hidden email]>
Cc: Heinrich Schuchardt <[hidden email]>
---
 scripts/fixdefconfig | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100755 scripts/fixdefconfig

diff --git a/scripts/fixdefconfig b/scripts/fixdefconfig
new file mode 100755
index 0000000..7f36762
--- /dev/null
+++ b/scripts/fixdefconfig
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+if [ -z "$*" -o  "${1%_defconfig}" = "$1" ]
+then
+  echo "Usage:  $0 [defconfig_file...]"
+  echo " Normalizes each listed defconfig and replaces it with the normalized"
+  echo "version. The original is renamed with an extension of .old appended"
+  exit 1
+fi
+
+tmp=tmp_build_$$
+mkdir $tmp
+for config in $*
+do
+  base=`basename $config`
+  make O=$tmp/$base $base \
+    && make O=$tmp/$base $base \
+    && make O=$tmp/$base savedefconfig \
+    && diff -q $tmp/$base/defconfig configs/$base \
+    || mv configs/$base configs/$base.old \
+    && mv $tmp/$base/defconfig configs/$base
+  rm -rf $tmp/$base
+done
+rmdir $tmp
+
--
1.8.3.1

Reply | Threaded
Open this post in threaded view
|

Re: [PATCH] Add fixdefconfig script to update lists of defconfig files from savedefconfig

Simon Glass-3
Hi Joel,

On Mon, 11 Jan 2021 at 20:01, Joel Peshkin <[hidden email]> wrote:
>
> Cc: Simon Glass <[hidden email]>
> Cc: Heinrich Schuchardt <[hidden email]>
> ---
>  scripts/fixdefconfig | 25 +++++++++++++++++++++++++
>  1 file changed, 25 insertions(+)
>  create mode 100755 scripts/fixdefconfig

+Tom Rini

I normally use moveconfig for this...Tom how do you do it?

>
> diff --git a/scripts/fixdefconfig b/scripts/fixdefconfig
> new file mode 100755
> index 0000000..7f36762
> --- /dev/null
> +++ b/scripts/fixdefconfig
> @@ -0,0 +1,25 @@
> +#!/bin/bash
> +
> +if [ -z "$*" -o  "${1%_defconfig}" = "$1" ]
> +then
> +  echo "Usage:  $0 [defconfig_file...]"
> +  echo " Normalizes each listed defconfig and replaces it with the normalized"
> +  echo "version. The original is renamed with an extension of .old appended"
> +  exit 1
> +fi
> +
> +tmp=tmp_build_$$
> +mkdir $tmp
> +for config in $*
> +do
> +  base=`basename $config`
> +  make O=$tmp/$base $base \
> +    && make O=$tmp/$base $base \
> +    && make O=$tmp/$base savedefconfig \
> +    && diff -q $tmp/$base/defconfig configs/$base \
> +    || mv configs/$base configs/$base.old \
> +    && mv $tmp/$base/defconfig configs/$base
> +  rm -rf $tmp/$base
> +done
> +rmdir $tmp
> +
> --
> 1.8.3.1
>

Regards,
Simon
Reply | Threaded
Open this post in threaded view
|

Re: [PATCH] Add fixdefconfig script to update lists of defconfig files from savedefconfig

Tom Rini-4
On Wed, Jan 13, 2021 at 09:10:41AM -0700, Simon Glass wrote:

> Hi Joel,
>
> On Mon, 11 Jan 2021 at 20:01, Joel Peshkin <[hidden email]> wrote:
> >
> > Cc: Simon Glass <[hidden email]>
> > Cc: Heinrich Schuchardt <[hidden email]>
> > ---
> >  scripts/fixdefconfig | 25 +++++++++++++++++++++++++
> >  1 file changed, 25 insertions(+)
> >  create mode 100755 scripts/fixdefconfig
>
> +Tom Rini
>
> I normally use moveconfig for this...Tom how do you do it?
Yes, this is a single-threaded version of "moveconfig.py -sC".  This is
useful I suppose in the case where you have to sync maybe a dozen files
rather than one or two, or all of them.  But I'm not sure it's worth
applying, sorry.

--
Tom

signature.asc (673 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: [PATCH] Add fixdefconfig script to update lists of defconfig files from savedefconfig

Joel Peshkin
No worries.  As long as there is a mechanism that will work OK.

On Wed, Jan 13, 2021 at 12:16 PM Tom Rini <[hidden email]> wrote:

> On Wed, Jan 13, 2021 at 09:10:41AM -0700, Simon Glass wrote:
>
> > Hi Joel,
> >
> > On Mon, 11 Jan 2021 at 20:01, Joel Peshkin <[hidden email]>
> wrote:
> > >
> > > Cc: Simon Glass <[hidden email]>
> > > Cc: Heinrich Schuchardt <[hidden email]>
> > > ---
> > >  scripts/fixdefconfig | 25 +++++++++++++++++++++++++
> > >  1 file changed, 25 insertions(+)
> > >  create mode 100755 scripts/fixdefconfig
> >
> > +Tom Rini
> >
> > I normally use moveconfig for this...Tom how do you do it?
>
> Yes, this is a single-threaded version of "moveconfig.py -sC".  This is
> useful I suppose in the case where you have to sync maybe a dozen files
> rather than one or two, or all of them.  But I'm not sure it's worth
> applying, sorry.
>
> --
> Tom
>

smime.p7s (5K) Download Attachment